AOZ Studio Beta - Bug #93

Talk, Say, and Mouth commands produce syntax errors.
02/01/2020 02:59 AM - Brian Flanagan

Status: Closed Start date: 02/01/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.5.1

Description

Example: Help_83 from AMOSPro_Examples disk.
Lines 84, 90, 94, 107, 108 (only those lines shown below):

Talk Misc 64,20000
Say AS,1
Mouth Read
SX=Mouth Width
SY=Mouth Height

Errors produced:

First pass...

main.aoz:84:10: error: syntax error
main.aoz:90:9: error: syntax error
main.aoz:94:16: error: syntax error
main.aoz:107:20: error: syntax error
main.aoz:108:21: error: syntax error

Task failed, no code generated...

History

#1 - 02/03/2020 04:51 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.4

OK, I completely forgot about these instructions. they do not produce a syntax error anymore, BUT do not have any effect until | implement speech
routines.

So, the example will seem to "get stuck" whereas it does not-> simply because the mouse width does not report -1 at the end of a sentence, so the
program stays in the mouth display loop.

#2 - 02/28/2020 05:32 PM - Brian Flanagan
- Status changed from Resolved to Closed

- Affected version changed from 0.9.3.2 to 0.9.5.1

Tested again in 0.9.5.1. These no longer cause syntax errors, however, they're not yet working.
